## START: Set by rpmautospec
## (rpmautospec version 0.5.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pypi_name imapclient
%global forgeurl https://github.com/mjs/imapclient/

Name:           python-%{pypi_name}
Version:        3.0.1
Release:        %{autorelease}
Summary:        Easy-to-use, Pythonic and complete IMAP client library
%global tag %{version}
%forgemeta
License:        BSD-3-Clause
URL:            %forgeurl
Source:         %forgesource


BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-pytest

%global _description %{expand:
IMAPClient is an easy-to-use, Pythonic and complete IMAP client library.

Features:
 - Arguments and return values are natural Python types
 - IMAP server responses are fully parsed and readily usable
 - IMAP unique message IDs (UIDs) are handled transparently
 - Internationalised mailbox names are transparently handled
 - Time zones are correctly handled
 - Convenience methods are provided for commonly used functionality
 - Exceptions are raised when errors occur

Python versions 3.7 through 3.11 are officially supported.

IMAPClient includes comprehensive units tests and automated functional
tests that can be run against a live IMAP server.}

%description %_description


%package -n python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name} %_description


%prep
%forgeautosetup -p1

# Remove shebang (no entry point)
sed -i '/^#!.*python/d' imapclient/interact.py


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{pypi_name}


%check
%pytest


%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc NEWS.rst README.rst examples


%changelog
## START: Generated by rpmautospec
* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Dec 02 2023 Packit <hello@packit.dev> - 3.0.1-1
- [packit] 3.0.1 upstream release
- Resolves rhbz#2252533

* Fri Nov 10 2023 Sandro <devel@penguinpee.nl> - 3.0.0-2
- Drop patch (merged upstream)

* Fri Nov 10 2023 Sandro <devel@penguinpee.nl> - 3.0.0-1
- [packit] 3.0.0 upstream release

* Sun Oct 29 2023 Sandro <devel@penguinpee.nl> - 2.3.1-2
- Add Packit config

* Fri Oct 27 2023 Sandro <devel@penguinpee.nl> - 2.3.1-1
- Initial release (RHBZ#2244404)
## END: Generated by rpmautospec
